%define module_name Alien-Boost-Headers
# BEGIN SourceDeps(oneline):
BuildRequires: boost-devel-headers perl(Alien/Base.pm) perl(Alien/Build.pm) perl(Alien/Build/MM.pm) perl(Archive/Tar.pm) perl(Config.pm) perl(ExtUtils/CBuilder.pm) perl(ExtUtils/MakeMaker.pm) perl(HTTP/Tiny.pm) perl(IO/Socket/SSL.pm) perl(Mojo/DOM.pm) perl(Mojolicious.pm) perl(Mozilla/CA.pm) perl(Net/SSLeay.pm) perl(Sort/Versions.pm) perl(Test/Alien.pm) perl(Test/Alien/CPP.pm) perl(Test/Alien/Diag.pm) perl(Test2/V0.pm) perl(URI.pm) perl(URI/Escape.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.9
Release: alt2
Summary: Find or build Boost Headers
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/Alien-Boost-Headers

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/C/CO/CONTRA/%{module_name}-%{version}.tar.gz

%description
Alien::Boost::Headers is a wrapper to install Boost headers. Modules
that depend on Boost headers can depend on Alien::Boost::Headers
and use the CPAN shell to install it for you.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes
%perl_vendor_archlib/A*
%perl_vendor_autolib/*

%changelog
* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 1.9-alt2
- rebuild with perl 5.38

* Wed Dec 28 2022 Igor Vlasenko <viy@altlinux.org> 1.9-alt1
- updated by package builder

* Mon Dec 19 2022 Igor Vlasenko <viy@altlinux.org> 1.7-alt1
- initial import by package builder

